package com.dji.sample.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dji.sample.manage.model.dto.FleetDeviceDTO;
import com.dji.sample.manage.model.entity.FleetDeviceEntity;

import java.util.List;

/**
 * @author guan
 */
public interface IFleetDeviceService extends IService<FleetDeviceEntity> {

    void addFleetDevice(List<FleetDeviceEntity> deviceList);

    List<FleetDeviceDTO> searchDeviceDTOListByFleetId(String fleetId);
    List<FleetDeviceDTO> searchDeviceDTOListByFleetIds(List<Integer> fleetId);
}
